QGIS Application - Bug report #15940
Impossible to directly unset transparency for symbols
2016-12-06 03:07 AM - Harrissou Santanna

Status: Closed

Priority: Normal

Assignee: Mathieu Pellerin - nIRV

Category: Symbology

Affected QGIS version:2.18.0 Regression?: No
Operating System: Easy fix?: No
Pull Request or Patch supplied: Resolution: wontfix
Crashes QGIS or corrupls data: Copied to github as #: 23856
Description

Some color widgets throughout the layer properties dialog (line color for diagrams, options of symbol layer type) have a "Transparent
fill/Border/outline" checkbox in their drop-down menu.

Check that option and the color becomes transparent.

But once transparent, the checkbox remains unchecked, leading to inability to remove that transparency without opening the "Choose
color" dialog.

Mathieu, assigning this to you as you recently work with symbols and colors. Couldn't check if it was fixed in master though.

History

#1 - 2016-12-06 05:19 PM - Mathieu Pellerin - nIRV

Harissou, the transparent color menu item is a shortcut to drop the transparency value to 0. It's not a toggle or a checked state, nor meant to be.

For me, -1. That said, this color button widget is Nyall's creation, so I'll let him rule on this :)

#2 - 2016-12-06 11:28 PM - Nyall Dawson

- Resolution set to wontfix

- Status changed from Open to Closed

It's a wontfix from me too... Like Mathieu said, this is just a shortcut to a transparent color rather than a toggle.

#3 - 2016-12-07 02:42 AM - Harrissou Santanna
hmmmm, my bad... Sorry. | gave another look at the widget and what | supposed to be a checkbox is actually the icon of a transparent color. So just forget
this as a bug report.

Thanks for your quick replies.

Would that then make sense to have a feature request to move the button to a checkbox widget so that user can easily toggle between a full transparency
and another level of transparency (might be 0 or not) previous color?
